Subject: [Geopriv] FW: New Version Notification for draft-thomson-geopriv-location-obscuring-02

From: "Thomson, Martin" <[email-masked]>
Date: Fri, 14 Jan 2011 14:07:14 +0800

I've submitted a new version of the location obscuring draft.

Changes include:

 - Added an improved method for generating random vectors that allows for less variation during interpolation.  This means that the recommended grid size can be made much smaller (now 8 times the obscuring distance, down from 20).
 - Refined the calculations around what grid size was necessary and the effect that changing the offset vector has on worst-case ability to reduce uncertainty area.
 - Added an example.
 - Wording and the usual editorial cleanup stuff.

My demonstration page is now live here, using the updated method:

  <http://held-location.sourceforge.net/js_geoshape/maptest.html>

--

I've also developed a few tools for visualizing the interpolation process using Processing.  The following are probably of most interest:

Random vector grid visualization 
   <http://held-location.sourceforge.net/randomVectorGrid/randomVectorGrid.jar>
Shows how random vectors are chosen and interpolated.  Compares both interpolation methods.

Square peg interpolation visualization
   <http://held-location.sourceforge.net/interpolation/interp.jar>
Shows how interpolation is used between two different points in the circle.  Compares interpolation methods and demonstrates how the square peg method is used.  I found the loops that form to be interesting.

--Martin

p.s. I'd link to the applets directly, but I couldn't be sure that they are safe - the applets caused every browser I have to die horribly.  It seems like a Java problem.  Strip the last part of the path off if you are game.

On 2011-01-14 at 16:25:38, IETF I-D Submission Tool wrote:
> A new version of I-D, draft-thomson-geopriv-location-obscuring-02.txt
> has been successfully submitted by Martin Thomson and posted to the
> IETF repository.